<template>
	<uni-popup ref="popupRef">

		<view class="unopen-box">
			<view class="unopen-title">
				温馨提示
			</view>
			<view class="unopen-content">
				暂未开放
			</view>
		</view>
	</uni-popup>
</template>

<script>
	export default {
		name: "unopen",
		data() {
			return {

			};
		},
		mounted() {
			// this.$refs.popupRef.open()
		},
		methods: {
			open() {
				this.$nextTick(() => {
					this.$refs.popupRef.open();
				})
			}

		}
	}
</script>

<style lang="scss" scoped>
	.unopen-box {
		width: 587rpx;
		background-color: #fff;
		border-radius: 12rpx;
		overflow: hidden;

		.unopen-title {
			height: 90rpx;
			font-size: 32rpx;
			font-family: PingFang SC, PingFang SC-Bold;
			font-weight: 700;
			text-align: center;
			color: #1a1a1a;
			line-height: 90rpx;
			letter-spacing: 0.64rpx;
			border-bottom: 1rpx solid #e6e6e6;
		}

		.unopen-content {
			padding: 20rpx 30rpx;
			min-height: 140rpx;
			font-size: 28rpx;
			font-family: PingFang SC, PingFang SC-Regular;
			font-weight: 400;
			text-align: left;
			color: #1a1a1a;
			line-height: 42rpx;
			text-align: center;
			display: flex;
			justify-content: center;
			align-items: center;
		}

	}
</style>